\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
A_y &= A_0 + A_1 + A_2
\\
&= \text{AMP} + \text{AMP} \times I_m + \text{AMP} \times I_m
\\
&= \text{AMP} + \text{AMP} \times 2I_m
\\
&= \text{AMP} \times \left( 1 + 2I_m \right)
\end{align*}


\end{document}